Fix libFoundation.so being flagged as requiring executable stack #763

Merged
merged 1 commit into from Jan 6, 2017

Conversation

Projects
None yet
3 participants
@yorickdowne
Contributor

yorickdowne commented Jan 6, 2017

libFoundation.so is flagged as requiring an executable stack on Linux, although it does not. This is due to GNU as behavior.
Please see discussion at https://bugs.swift.org/browse/SR-2700?jql=text%20~%20%22executable%20stack%22

This was already intended to be solved by #649, but did not work as intended in Ubuntu. Checking for __GNUC__ in addition resolves the issue.

Fix libFoundation.so being flagged as requiring executable stack
libFoundation.so is flagged as requiring an executable stack on Linux, although it does not. This is due to GNU as behavior.
Please see discussion at https://bugs.swift.org/browse/SR-2700?jql=text%20~%20%22executable%20stack%22

This was already intended to be solved by #649/, but did not work as intended in Ubuntu. Checking for __GNUC__ in addition resolves the issue.
@parkera

This comment has been minimized.

Show comment
Hide comment
@parkera

parkera Jan 6, 2017

Member

Thanks!

Member

parkera commented Jan 6, 2017

Thanks!

@parkera

This comment has been minimized.

Show comment
Hide comment
@parkera

parkera Jan 6, 2017

Member

@swift-ci please test and merge

Member

parkera commented Jan 6, 2017

@swift-ci please test and merge

@swift-ci swift-ci merged commit f808480 into apple:master Jan 6, 2017

1 check was pending

Test and Merge Build started.
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment